[typo] Help Installing Typo on Tiger

Tim Martens timfm at hawaii.rr.com
Fri Sep 16 21:11:02 EDT 2005


Hi Nick,

Here's my gems. Do I need to upgrade? Is there an easy way to do this?

gem list --local

*** LOCAL GEMS ***

actionmailer (0.9.1)
     Service layer for easy email delivery and testing.

actionpack (1.8.1)
     Web-flow and rendering framework putting the VC in MVC.

actionwebservice (0.7.1)
     Web service support for Action Pack.

activerecord (1.10.1)
     Implements the ActiveRecord pattern for ORM.

activesupport (1.0.4)
     Support and utility classes used by the Rails framework.

BlueCloth (1.0.0)
     BlueCloth is a Ruby implementation of Markdown, a text-to-HTML
     conversion tool for web writers. Markdown allows you to write using
     an easy-to-read, easy-to-write plain text format, then convert  
it to
     structurally valid XHTML (or HTML).

fcgi (0.8.5)
     FastCGI ruby binding.

madeleine (0.7.1)
     Madeleine is a Ruby implementation of Object Prevalence

mysql (2.5.1)
     MySQL/Ruby provides the same functions for Ruby programs that the
     MySQL C API provides for C programs.

rails (0.12.1)
     Web-application framework with template engine, control-flow layer,
     and ORM.

rake (0.5.3)
     Ruby based make-like utility.

RedCloth (3.0.3)
     RedCloth is a module for using Textile and Markdown in Ruby.  
Textile
     and Markdown are text formats.  A very simple text format. Another
     stab at making readable text that can be converted to HTML.

sources (0.0.1)
     This package provides download sources for remote gem installation

sqlite3-ruby (1.1.0)
     SQLite3/Ruby is a module to allow Ruby scripts to interface with a
     SQLite3 database.

syntax (0.7.0)
     Syntax is Ruby library for performing simple syntax highlighting.

On Sep 16, 2005, at 2:50 PM, Nicholas Van Weerdenburg wrote:

> Tim,
>
> Your version of rails looks slightly older then the latest. Is that
> maybe an issue?
>
> gem list --local on my windows machine:
> actionmailer (1.0.1)
>     Service layer for easy email delivery and testing.
>
> actionpack (1.9.1)
>     Web-flow and rendering framework putting the VC in MVC.
>
> actionwebservice (0.8.1)
>     Web service support for Action Pack.
>
> activerecord (1.11.1)
>     Implements the ActiveRecord pattern for ORM.
>
> activesupport (1.1.1)
>     Support and utility classes used by the Rails framework.
>
> rails (0.13.1)
>     Web-application framework with template engine, control-flow  
> layer,
>     and ORM.
>
> Also, you ruby script/server -e production output looks very wrong.
>
> Mine:
> D:\work\typo-2.5.5\script>ruby server -e production
> => Rails application started on http://0.0.0.0:3000
> => Ctrl-C to shutdown server; call with --help for options
> [2005-09-16 20:50:04] INFO  WEBrick 1.3.1
> [2005-09-16 20:50:04] INFO  ruby 1.8.2 (2004-12-25) [i386-mswin32]
> [2005-09-16 20:50:04] INFO  WEBrick::HTTPServer#start: pid=3124  
> port=3000
>
> Regards,
> Nick
>
> On 9/16/05, Tim Martens <timfm at hawaii.rr.com> wrote:
>
>> Hi Typos,
>>
>> I'm a terminal newbie trying to install Typo on Toger (10.4.2).
>>
>> I have Ruby 1.8.2 and Rails, and run Tracks (a GTD web app: http://
>> dev.rousette.org.uk/wiki, http://www.rousette.org.uk/projects/) on
>> port 3030.
>>
>> This is what I've done:
>>
>> + Downloaded Typo 2.5.5
>> + Unzipped to Sites Folder
>> + Created a database4 name "typo" in YourSQL
>> + Imported MySQL schema from db/ folder into "typo" database"
>> + changed config/database.yml (added user/pass) for production db
>> named "typo"
>> + ran "ruby server -e production" from script folder
>>
>> iTerm returned:
>>
>> ./../config/../config/routes.rb:4: undefined method `index' for
>> #<ActionControll
>> er::Routing::RouteSet:0x65a898> (NoMethodError)
>>          from ./../config/../config/routes.rb:1:in `draw'
>>          from ./../config/../config/routes.rb:1
>>          from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:
>> 18:in `requi
>> re__'
>>          from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:
>> 18:in `requi
>> re'
>>          from /usr/lib/ruby/gems/1.8/gems/activesupport-1.0.4/lib/
>> active_support/
>> dependencies.rb:197:in `require'
>>          from /usr/lib/ruby/gems/1.8/gems/activesupport-1.0.4/lib/
>> active_support/
>> dependencies.rb:38:in `require_or_load'
>>          from /usr/lib/ruby/gems/1.8/gems/activesupport-1.0.4/lib/
>> active_support/
>> dependencies.rb:21:in `depend_on'
>>          from /usr/lib/ruby/gems/1.8/gems/activesupport-1.0.4/lib/
>> active_support/
>> dependencies.rb:167:in `require_dependency'
>>          from /usr/lib/ruby/gems/1.8/gems/activesupport-1.0.4/lib/
>> active_support/
>> dependencies.rb:167:in `require_dependency'
>>          from /usr/lib/ruby/gems/1.8/gems/actionpack-1.8.1/lib/
>> action_controller/
>> routing.rb:317:in `reload'
>>          from ./../config/environment.rb:76
>>          from server:42:in `require'
>>          from server:42
>>
>> + tried resolving http://127.0.0.1:3000/ in my browser
>>
>> Safari returned:
>> Safari can't connect to the server.
>>
>> Safari can't open the page "http://127.0.0.1:3000/" because it could
>> not connect to the server "127.0.0.1".
>>
>> BUT I know I can connect to 127.0.0.1, because it resolves the
>> index.html file in my sites folder which is a directory of all my
>> sites/projects, etc.
>>
>> Any help would be enormously appreciated. I'm really excited about
>> toying around with Typo.
>>
>> Kinds regards,
>>
>>   -tim
>>
>>
>>
>>
>>
>>
>> _______________________________________________
>> Typo-list mailing list
>> Typo-list at rubyforge.org
>> http://rubyforge.org/mailman/listinfo/typo-list
>>
>>
>
>
> -- 
> Nicholas Van Weerdenburg
>
> _______________________________________________
> Typo-list mailing list
> Typo-list at rubyforge.org
> http://rubyforge.org/mailman/listinfo/typo-list
>



More information about the Typo-list mailing list